Package org.apache.sling.feature.maven.mojos

# Class AbstractFeatureMojo.BaseFeatureProvider

java.lang.Object
org.apache.sling.feature.maven.mojos.AbstractFeatureMojo.BaseFeatureProvider

All Implemented Interfaces:
  `org.apache.sling.feature.builder.FeatureProvider`

Enclosing class:
  `AbstractFeatureMojo`

protected class AbstractFeatureMojo.BaseFeatureProvider extends Object implements org.apache.sling.feature.builder.FeatureProvider

## Constructor Summary

Constructors
Constructor
Description
`BaseFeatureProvider()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.feature.Feature`
`provide(org.apache.sling.feature.ArtifactId id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseFeatureProvider

public BaseFeatureProvider()

## Method Details

### provide

public org.apache.sling.feature.Feature provide(org.apache.sling.feature.ArtifactId id)

Specified by:
  `provide` in interface `org.apache.sling.feature.builder.FeatureProvider`